package com.example.what_the_fantasy.data.local

import com.example.what_the_fantasy.data.model.Source
import com.example.what_the_fantasy.data.model.SrcType

object SourceStub {
    val theLordOfTheRingsMovie = Source(
        id = 1,
        title = "The Lord of the Rings: The Fellowship of the Ring",
        dateS = 2001,
        type = SrcType.Movie
    )
    val theTwoTowersMovie = Source(
        id = 2,
        title = "The Lord of the Rings: The Two Towers",
        dateS = 2002,
        type = SrcType.Movie
    )
    val theReturnOfTheKingMovie = Source(
        id = 3,
        title = "The Lord of the Rings: The Return of the King",
        dateS = 2003,
        type = SrcType.Movie
    )
    val harryPotterSeries = Source(
        id = 4,
        title = "Harry Potter",
        dateS = 1997,
        type = SrcType.Series
    )
    val starWarsMovie = Source(
        id = 5,
        title = "Star Wars",
        dateS = 1977,
        type = SrcType.Movie
    )
    val spiderManMovie = Source(
        id = 6,
        title = "Spider-Man",
        dateS = 2002,
        type = SrcType.Movie
    )
    val theWitcherVideoGame = Source(
        id = 7,
        title = "The Witcher",
        dateS = 2007,
        type = SrcType.VideoGame
    )
    val theElderScrollsVideoGame = Source(
        id = 8,
        title = "The Elder Scrolls",
        dateS = 1994,
        type = SrcType.VideoGame
    )
    val gameOfThronesSeries = Source(
        id = 9,
        title = "Game of Thrones",
        dateS = 2011,
        type = SrcType.Series
    )
    val theHobbitMovie = Source(
        id = 10,
        title = "The Hobbit: An Unexpected Journey",
        dateS = 2012,
        type = SrcType.Movie
    )

    val allSources: List<Source> = listOf(
        theLordOfTheRingsMovie,
        theTwoTowersMovie,
        theReturnOfTheKingMovie,
        harryPotterSeries,
        starWarsMovie,
        spiderManMovie,
        theWitcherVideoGame,
        theElderScrollsVideoGame,
        gameOfThronesSeries,
        theHobbitMovie
    )
}
